/**
  Simple GLSL shader interface.
  
  Relies on GLEW internally to access OpenGL extensions.
  
  Dr. Orion Sky Lawlor, olawlor@acm.org, 2008-02-14 (public domain)
*/
#ifndef __OSL_GLSL_H
#define __OSL_GLSL_H

// Create a complete shader object from these chunks of GLSL shader code.
//  You still need to glUseProgramObjectARB(return value);
GLhandleARB makeProgramObject(const char *vertex,const char *fragment);

// Create a complete shader object from these GLSL files.
GLhandleARB makeProgramObjectFromFiles(const char *vFile="vertex.txt",
	const char *fFile="fragment.txt");

#endif
